Package org.opensaml.saml.saml2.assertion

# Interface SubjectConfirmationValidator

All Known Implementing Classes:
  `AbstractSubjectConfirmationValidator`, `BearerSubjectConfirmationValidator`, `HolderOfKeySubjectConfirmationValidator`, `SenderVouchersSubjectConfirmationValidator`

@ThreadSafe public interface SubjectConfirmationValidator
Validator that confirms the `Subject` of the issuer by evaluating the `SubjectConfirmation`s within that subject.

## Method Summary

Modifier and Type
Method
Description
`String`
`getServicedMethod()`
Gets the subject confirmation method handled by this validator.
`ValidationResult`
`validate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Confirms the `Subject` by means of the given `SubjectConfirmation`.

## Method Details

### getServicedMethod

@Nullable String getServicedMethod()
Gets the subject confirmation method handled by this validator.

Returns:
  subject confirmation method handled by this validator

### validate

@Nonnull ValidationResult validate(@Nonnull SubjectConfirmation confirmation, @Nonnull Assertion assertion, @Nonnull ValidationContext context) throws AssertionValidationException
Confirms the `Subject` by means of the given `SubjectConfirmation`.

Parameters:
  `confirmation` - the subject confirmation information
  `assertion` - the assertion bearing the subject
  `context` - the current Assertion validation context
Returns:
  the validation result
Throws:
  `AssertionValidationException` - if there is a problem processing the validation operation